#Data from: http://www.infochimps.com/datasets/uber-anonymized-gps-logs

library(ggplot2)
library(scales)
library(ggmap)

car.data <- read.table(file = "data/all.tsv", sep="\t",  header=FALSE)
str(car.data)
car.data$V2 <- NULL
head(car.data, 50)
car.data <- droplevels(subset(car.data, V3 > 37.25 & V4 < 121.5))

car.map <- get_map(location = c(min(car.data$V4), min(car.data$V3), max(car.data$V4), max(car.data$V3)), maptype="toner", source="stamen")

ggmap(car.map)

ggmap(car.map) + geom_path(data=droplevels(subset(car.data, V1==15)), aes(x=V4, y=V3), color="firebrick1")

ggmap(car.map) + geom_path(data=droplevels(subset(car.data, V1<5)), aes(x=V4, y=V3), color="firebrick1") + facet_wrap(~V1)

ggmap(car.map) + geom_path(data=car.data, aes(x=V4, y=V3, group=V1), color="firebrick1", alpha=1/20)